Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0009533
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] Z. Othersminorhave not tried2009-06-18 11:482017-09-22 10:19
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritylowResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision33b81ea31604
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0009533: Remove unused TabFilter files

DescriptionThe TabFilter servlet (org.openbravo.erpCommon.businessUtility) seems not to be used anywhere in the application (checked back to 2.3x even).

It and the associated files should be removed:
- TabFilter.java
- TabFilter.html
- TabFilter.xml
- TabFilter_data.xsql
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036923 closedshuehner api-changes related to unused code removal 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0099440)
hgbot (developer)
2017-09-21 23:10

Repository: erp/devel/pi
Changeset: 33b81ea3160444f5f3114f4c30680f53683bc2d5
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Sep 15 16:56:23 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/33b81ea3160444f5f3114f4c30680f53683bc2d5 [^]

Fixed 9533. Remove unused TabFilter files.

No reference to those files exists in pi (or 2.50 or even 2.40)
Also search in getAllModules did not find any reference in modules.

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
R src/org/openbravo/erpCommon/businessUtility/TabFilter.html
R src/org/openbravo/erpCommon/businessUtility/TabFilter.java
R src/org/openbravo/erpCommon/businessUtility/TabFilter.xml
R src/org/openbravo/erpCommon/businessUtility/TabFilter_data.xsql
---
(0099468)
alostale (developer)
2017-09-22 10:19

reviewed

- Issue History
Date Modified Username Field Change
2009-06-18 11:48 shuehner New Issue
2009-06-18 11:48 shuehner Assigned To => shuehner
2009-06-18 11:49 shuehner Relationship added blocks 0007236
2011-06-22 20:19 shuehner Relationship added blocks 0017233
2011-06-22 20:19 shuehner Relationship deleted blocks 0007236
2016-04-19 13:39 shuehner Relationship added blocks 0032688
2017-07-15 19:00 shuehner Relationship deleted blocks 0017233
2017-09-21 23:06 shuehner Relationship added related to 0036923
2017-09-21 23:10 hgbot Checkin
2017-09-21 23:10 hgbot Note Added: 0099440
2017-09-21 23:10 hgbot Status new => resolved
2017-09-21 23:10 hgbot Resolution open => fixed
2017-09-21 23:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/33b81ea3160444f5f3114f4c30680f53683bc2d5 [^]
2017-09-21 23:13 shuehner Review Assigned To => alostale
2017-09-21 23:13 shuehner Triggers an Emergency Pack => No
2017-09-21 23:13 shuehner Fixed in Version => 3.0PR17Q4
2017-09-22 10:19 alostale Note Added: 0099468
2017-09-22 10:19 alostale Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker